pipeline {
    agent any
    tools {
        jdk 'java'
        git 'Default'
        msbuild 'Msbuild'
    }
    stages {
        stage('---msbuild---') {
            steps {
                sh "msbuild HelloWorld.sln"
            }
        }
        stage ('---create nuget package---') {
            steps { 
                sh 'cd bin/Debug/ && mono /usr/local/bin/nuget.exe spec HelloWorld.exe'
                sh 'cd bin/Debug/ && mono /usr/local/bin/nuget.exe pack HelloWorld.exe.nuspec'
                sh 'ls'
               //sh 'mono /usr/local/bin/nuget.exe pack HelloWorld.nuspec'
                sh 'cd bin/Debug && mono /usr/local/bin/nuget.exe push HelloWorld.exe.1.0.0.nupkg -Source Artifactory'  
            }      
            }
        stage('--Zip Artifacts--') {
            steps {
                sh ''' 
                cd /var/jenkins_home/workspace/MB_pipeline-msbuild_master@2/bin/Debug/
                zip -r HelloWorld.exe.1.0.0.nupkg.zip ./HelloWorld.exe.1.0.0.nupkg
                '''
                sh'ls'
            }
        }
        stage('--upload--') {
            steps {
                 rtUpload (
                serverId: "jfrog-local",
                 spec:"""{
                    "files":  [
                     {
                     "pattern": "*.zip",
                     "target": "new-nuget/"
        }
     ]
    }"""
  )
 }
        }


    
        }
        
                      
          }



                
